/**********************************************************BeginFile************
* Copyright:  (c) 2001 by Consul Risk Management B.V.  All Rights Reserved
* Time-stamp: <010808 louis 16:46 rs_merge.h>
*
* Name:  rs_merge.h
* Purpose:
*   Merging of data from large numbers of sources
* Notes:
*   
* History:
*   010807 <Version> louis <ID>: Created.
***********************************************************EndFile*************/
#ifndef _RS_MERGE_
#define _RS_MERGE_
#ifdef __cplusplus
extern "C" {
#endif

  int initialize_rs_merge(unsigned int p, void *exhaust_key, void *infinite_key,
                          int (*cmp) (void *, void *));
  unsigned int rs_merge(unsigned int source, void *key);

#ifdef __cplusplus
}
#endif
#endif /* _RS_MERGE_ */
